ランタイム: Mix::IEngine Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::IEngine Class Referenceabstract

エンジンインターフェース More...

`#include <IEngine.h>`

Inheritance diagram for Mix::IEngine:
[legend]
Collaboration diagram for Mix::IEngine:
[legend]

## Public Member Functions

virtual void | ResetFPS (void)=0
| 毎秒のフレーム数をリセットします More...
virtual Float32 | GetFPS (void) const =0
| 毎秒のフレーム数を取得します More...
virtual Int32 | GetBaseFPS (void) const =0
| 基準となる毎秒のフレーム数を取得します More...
virtual Float32 | GetDT (void) const =0
| 毎秒の 1 フレームの所要時間 ( 秒単位 ) を取得します More...
virtual Float32 | GetBaseDT (void) const =0
| 基準となる 1 フレームの所要時間 ( 秒単位 ) を取得します More...
virtual Float32 | GetSleepTimePerSec (void) const =0
| 毎秒のスリープ時間を取得します More...
virtual Int32 | GetInsomniaFrameCountPerSec (void) const =0
| 毎秒のスリープ状態に入れなかった回数を取得します More...
virtual Int32 | GetInsomniaFrameMax (void) const =0
| スリープ状態に入れなかった場合に他のスレッドにタイムスライスを譲る( Sleep( 0 ) )フレーム数 More...
virtual HWND | GetWindowHandle (void) const =0
| ウィンドウのハンドルを取得します More...
virtual Mix::Point | GetClientSize (void) const =0
| クライアントのサイズを取得します More...
virtual Boolean | IsActive (void) const =0
| アクティブかどうかを確認します More...
virtual const wchar_t * | GetCaption (void) const =0
| タイトルバーに表示するキャプションを取得します More...
virtual void | SetCaption (const wchar_t *pCaption)=0
| タイトルバーに表示するキャプションを設定します More...
virtual Boolean | IsCloseEnabled (void) const =0
| ウィンドウを閉じる動作を取得します More...
virtual void | SetCloseEnabled (Boolean state)=0
| ウィンドウの閉じる動作を設定します More...
virtual void | SetMessageProc (Mix::MessageProcPtr pMsgProc, void *pData=NULL)=0
| メッセージプロシージャーを設定します More...
virtual Boolean | Update (void)=0
| エンジンを更新します More...
virtual void | Shutdown (void)=0
| ウィンドウを閉じ、エンジンを停止します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IEngine (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

エンジンインターフェース

## Constructor & Destructor Documentation

virtual Mix::IEngine::~IEngine | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::IEngine::ResetFPS | ( | void |  | ) |

pure virtual

毎秒のフレーム数をリセットします

virtual Float32 Mix::IEngine::GetFPS | ( | void |  | ) | const

pure virtual

毎秒のフレーム数を取得します

Returns
  毎秒のフレーム数を返します

virtual Int32 Mix::IEngine::GetBaseFPS | ( | void |  | ) | const

pure virtual

基準となる毎秒のフレーム数を取得します

Returns
  基準となる毎秒のフレーム数を返します

virtual Float32 Mix::IEngine::GetDT | ( | void |  | ) | const

pure virtual

毎秒の 1 フレームの所要時間 ( 秒単位 ) を取得します

Returns
  毎秒の 1 フレームの所要時間を返します

virtual Float32 Mix::IEngine::GetBaseDT | ( | void |  | ) | const

pure virtual

基準となる 1 フレームの所要時間 ( 秒単位 ) を取得します

Returns
  基準となる 1 フレームの所要時間を返します

virtual Float32 Mix::IEngine::GetSleepTimePerSec | ( | void |  | ) | const

pure virtual

毎秒のスリープ時間を取得します

Returns
  スリープ時間を返します

virtual Int32 Mix::IEngine::GetInsomniaFrameCountPerSec | ( | void |  | ) | const

pure virtual

毎秒のスリープ状態に入れなかった回数を取得します

Returns
  スリープ状態に入れなかった回数を返します

virtual Int32 Mix::IEngine::GetInsomniaFrameMax | ( | void |  | ) | const

pure virtual

スリープ状態に入れなかった場合に他のスレッドにタイムスライスを譲る( Sleep( 0 ) )フレーム数

Returns
  フレーム数を返します

virtual HWND Mix::IEngine::GetWindowHandle | ( | void |  | ) | const

pure virtual

ウィンドウのハンドルを取得します

Returns
  ウィンドウのハンドルを返します

virtual Mix::Point Mix::IEngine::GetClientSize | ( | void |  | ) | const

pure virtual

クライアントのサイズを取得します

Returns
  クライアントのサイズを表す Mix::Point クラスを返します。

virtual Boolean Mix::IEngine::IsActive | ( | void |  | ) | const

pure virtual

アクティブかどうかを確認します

Returns
  アクティブな場合は True を返します

virtual const wchar_t* Mix::IEngine::GetCaption | ( | void |  | ) | const

pure virtual

タイトルバーに表示するキャプションを取得します

Returns
  キャプションを返します

virtual void Mix::IEngine::SetCaption | ( | const wchar_t * | pCaption | ) |

pure virtual

タイトルバーに表示するキャプションを設定します

Parameters

  [in] | pCaption | キャプション

virtual Boolean Mix::IEngine::IsCloseEnabled | ( | void |  | ) | const

pure virtual

ウィンドウを閉じる動作を取得します

Returns
  ウィンドウの閉じるボタンが有効な場合は True を返します

virtual void Mix::IEngine::SetCloseEnabled | ( | Boolean | state | ) |

pure virtual

ウィンドウの閉じる動作を設定します

Parameters

  [in] | state | ウィンドウの閉じる動作を有効にする場合は True

virtual void Mix::IEngine::SetMessageProc | ( | Mix::MessageProcPtr | pMsgProc,
|  | void * | pData = `NULL`
| ) |  |

pure virtual

メッセージプロシージャーを設定します

Parameters

  [in] | pMsgProc | メッセージを処理する関数のポインタ
  [in] | pData | メッセージを処理する関数に渡されるデータのポインタ

virtual Boolean Mix::IEngine::Update | ( | void |  | ) |

pure virtual

エンジンを更新します

Returns
  更新を継続する必要がある場合は True を返します

virtual void Mix::IEngine::Shutdown | ( | void |  | ) |

pure virtual

ウィンドウを閉じ、エンジンを停止します

Note
  ウィンドウを閉じる動作を無効にしている場合は、機能しません。

The documentation for this class was generated from the following file:

- Mix/IEngine.h